Bug 1573562 - F28 regression: Intel 8260 Bluetooth fails to load firmware on boot
Summary: F28 regression: Intel 8260 Bluetooth fails to load firmware on boot
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 17:26 UTC by Robert Hancock
Modified: 2021-04-29 16:50 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-25 22:30:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Hancock 2018-05-01 17:26:59 UTC
Description of problem:
The kernel fails to load the firmware for Bluetooth on bootup resulting in Bluetooth not working. Doing an "rmmod btusb" and "modprobe btusb" results in it working again. This worked in Fedora 27

This is on an HP Elitebook Folio G1 laptop with Intel 8260 wireless/Bluetooth.

Version-Release number of selected component (if applicable):
4.16.5-300.fc28.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot up
2.
3.

Actual results:
Bluetooth not working

Expected results:
Bluetooth working

Additional info:
dmesg output:

dmesg | grep Blue
[   10.355108] Bluetooth: Core ver 2.22
[   10.355125] Bluetooth: HCI device and connection manager initialized
[   10.355128] Bluetooth: HCI socket layer initialized
[   10.355130] Bluetooth: L2CAP socket layer initialized
[   10.355138] Bluetooth: SCO socket layer initialized
[   10.373785] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[   10.378804] Bluetooth: hci0: Device revision is 5
[   10.378806] Bluetooth: hci0: Secure boot is enabled
[   10.378807] Bluetooth: hci0: OTP lock is enabled
[   10.378807] Bluetooth: hci0: API lock is enabled
[   10.378808] Bluetooth: hci0: Debug lock is disabled
[   10.378810] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[   10.381992] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[   10.724050] Bluetooth: hci0: Failed to send firmware data (-38)
[   11.151050] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   11.151052] Bluetooth: BNEP filters: protocol multicast
[   11.151056] Bluetooth: BNEP socket layer initialized

After running rmmod and modprobe btusb:

[  400.743142] usbcore: deregistering interface driver btusb
[  402.951864] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[  402.952077] usbcore: registered new interface driver btusb
[  402.956834] Bluetooth: hci0: Device revision is 5
[  402.956837] Bluetooth: hci0: Secure boot is enabled
[  402.956839] Bluetooth: hci0: OTP lock is enabled
[  402.956841] Bluetooth: hci0: API lock is enabled
[  402.956842] Bluetooth: hci0: Debug lock is disabled
[  402.956845] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[  402.957877] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[  404.959214] Bluetooth: hci0: Waiting for firmware download to complete
[  404.959872] Bluetooth: hci0: Firmware loaded in 1961443 usecs
[  404.960029] Bluetooth: hci0: Waiting for device to boot
[  404.971947] Bluetooth: hci0: Device booted in 11689 usecs
[  404.992234] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-11-5.ddc
[  404.995916] Bluetooth: hci0: Applying Intel DDC parameters completed
[  405.084503] Bluetooth: RFCOMM TTY layer initialized
[  405.084518] Bluetooth: RFCOMM socket layer initialized
[  405.084676] Bluetooth: RFCOMM ver 1.11

USB device:

Bus 001 Device 003: ID 8087:0a2b Intel Corp.

Comment 1 Robert Hancock 2018-05-01 23:37:37 UTC
Booting with the "btusb.enable_autosuspend=n" option on the kernel command line appears to fix this problem, so it seems autosuspend related.

DMI information for this machine:

System Information
        Manufacturer: HP
        Product Name: HP EliteBook Folio G1

Comment 2 Rajeesh 2018-06-15 13:04:40 UTC
Similar issue, on Lenovo Yoga 900 13ISK. Though, issue was present in F27 as well.

$dmesg | grep -iE 'hci|blue|bcm|btusb|ibt'                                                                                                                                                                                               
[    0.590707] ahci 0000:00:17.0: version 3.0
[    0.590918] ahci 0000:00:17.0: AHCI 0001.0301 32 slots 1 ports 6 Gbps 0x4 impl SATA mode
[    0.590921] ahci 0000:00:17.0: flags: 64bit ncq pm led clo only pio slum part deso sadm sds apst 
[    0.591173] scsi host0: ahci
[    0.591342] scsi host1: ahci
[    0.591420] scsi host2: ahci
[    0.591547] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.591548] ehci-pci: EHCI PCI platform driver
[    0.591554] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.591555] ohci-pci: OHCI PCI platform driver
[    0.591559] uhci_hcd: USB Universal Host Controller Interface driver
[    0.591705] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.591737] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    0.592882] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x00109810
[    0.592887] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    0.593100] usb usb1: Product: xHCI Host Controller
[    0.593101] usb usb1: Manufacturer: Linux 4.16.14-300.fc28.x86_64 xhci-hcd
[    0.593985] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.594009] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    0.594013] xhci_hcd 0000:00:14.0: Host supports USB 3.0  SuperSpeed
[    0.594064] usb usb2: Product: xHCI Host Controller
[    0.594065] usb usb2: Manufacturer: Linux 4.16.14-300.fc28.x86_64 xhci-hcd
[    0.913216] usb 1-6: new high-speed USB device number 2 using xhci_hcd
[    1.203006] usb 1-7: new full-speed USB device number 3 using xhci_hcd
[    1.552934] sdhci: Secure Digital Host Controller Interface driver
[    1.552936] sdhci: Copyright(c) Pierre Ossman
[    1.559390] sdhci-pci 0000:02:00.0: SDHCI controller found [1217:8620] (rev 1)
[    1.566962] mmc0: SDHCI controller on PCI [0000:02:00.0] using ADMA
[    4.744379] Bluetooth: Core ver 2.22
[    4.744391] Bluetooth: HCI device and connection manager initialized
[    4.744394] Bluetooth: HCI socket layer initialized
[    4.744396] Bluetooth: L2CAP socket layer initialized
[    4.744401] Bluetooth: SCO socket layer initialized
[    4.761274] usbcore: registered new interface driver btusb
[    4.765357] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[    4.769980] Bluetooth: hci0: Device revision is 5
[    4.769982] Bluetooth: hci0: Secure boot is enabled
[    4.769983] Bluetooth: hci0: OTP lock is enabled
[    4.769984] Bluetooth: hci0: API lock is enabled
[    4.769984] Bluetooth: hci0: Debug lock is disabled
[    4.769986] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    4.786125] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[    5.423713] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    5.423714] Bluetooth: BNEP filters: protocol multicast
[    5.423718] Bluetooth: BNEP socket layer initialized
[    5.568169] Bluetooth: hci0: Failed to send firmware data (-38)
[   12.673660] usb 1-7: reset full-speed USB device number 3 using xhci_hcd
[   19.361014] usb 1-2: new high-speed USB device number 4 using xhci_hcd
[   20.745017] usb 1-2: new high-speed USB device number 5 using xhci_hcd

Comment 3 Justin M. Forbes 2018-07-23 14:53:35 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 4 Martin Jamszolik 2018-07-29 15:03:19 UTC
Hi 
Confirming that the latest DNF update as of today, has not fixed the issue. I am also affected.

dmesg | grep Blue
[    6.047643] Bluetooth: Core ver 2.22
[    6.047658] Bluetooth: HCI device and connection manager initialized
[    6.047661] Bluetooth: HCI socket layer initialized
[    6.047663] Bluetooth: L2CAP socket layer initialized
[    6.047673] Bluetooth: SCO socket layer initialized
[    6.087145] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[    6.092083] Bluetooth: hci0: Device revision is 5
[    6.092085] Bluetooth: hci0: Secure boot is enabled
[    6.092086] Bluetooth: hci0: OTP lock is enabled
[    6.092086] Bluetooth: hci0: API lock is enabled
[    6.092087] Bluetooth: hci0: Debug lock is disabled
[    6.092088] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    6.094272] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[    6.272319] Bluetooth: hci0: Failed to send firmware data (-38)
[    7.662784] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    7.662785] Bluetooth: BNEP filters: protocol multicast
[    7.662788] Bluetooth: BNEP socket layer initialized




Hardware 

sudo lshw
mj5e                        
    description: Convertible
    product: HP ENVY x360 Convertible (T5K66AV)
    vendor: HP
    version: Type1ProductConfigId
    serial: 8CG6251HGR
    width: 64 bits
    capabilities: smbios-2.8 dmi-2.8 smp vsyscall32
    configuration: administrator_password=disabled boot=normal chassis=convertible family=103C_5335KV G=N L=CON B=HP S=ENV sku=T5K66AV uuid=C06D0520-153A-E611-8880-3065EC65D32C
  *-core
       description: Motherboard
       product: 81AC
       vendor: HP
       physical id: 0
       version: 53.27
       serial: PFUHT2ANN303
       slot: Type2 - Board Chassis Location
     *-firmware
          description: BIOS
          vendor: Insyde
          physical id: 0
          version: F.23
          date: 01/03/2017
          size: 128KiB
          capacity: 6MiB
          capabilities: pci upgrade shadowing cdboot bootselect edd int13floppynec int13floppytoshiba int13floppy360 int13floppy1200 int13floppy720 int13floppy2880 int9keyboard int10video acpi usb biosbootspecification uefi
     *-cpu
          description: CPU
          product: Intel(R) Core(TM) i7-6560U CPU @ 2.20GHz
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: Intel(R) Core(TM) i7-6560U CPU @ 2.20GHz
          serial: To Be Filled By O.E.M.
          slot: U3E1
          size: 2019MHz
          capacity: 4005MHz
          width: 64 bits
          clock: 100MHz



cat /proc/version
Linux version 4.17.9-200.fc28.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 8.1.1 20180712 (Red Hat 8.1.1-5) (GCC)) #1 SMP Mon Jul 23 21:41:29 UTC 2018


Thank You.

Comment 5 Laura Abbott 2018-10-01 21:25:39 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 6 Robert Hancock 2018-10-01 21:29:13 UTC
Still occuring with 4.18 based kernel.btusb.enable_autosuspend=n workaround is still required.

Comment 7 Rajeesh 2018-11-20 10:19:41 UTC
There was an attempt to address this issue at [1], but I don't think that was merged for 4.19 (tested linux-4.19 in F29 today and the issue persists).

[1] https://lkml.org/lkml/2018/10/3/322

Comment 8 William Laszlo 2018-11-29 12:51:54 UTC
Still not working with 4.19.4-300.

Comment 9 Justin M. Forbes 2019-01-29 16:25:38 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 10 William Laszlo 2019-01-30 07:41:19 UTC
Still not working on Fedora 29 with 4.20.4-200. I can't change the version of Fedora.

Comment 11 Duncan Innes 2019-03-29 13:24:03 UTC
Can confirm not working with latest 5.0.4 kernel version on Fedora 29:

[root@hp ~]# cat /etc/fedora-release 
Fedora release 29 (Twenty Nine)
[root@hp ~]# uname -a
Linux hp.innes.net 5.0.4-200.fc29.x86_64 #1 SMP Mon Mar 25 02:27:33 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@hp ~]# dmesg | grep -i blue
[    5.222167] Bluetooth: Core ver 2.22
[    5.222183] Bluetooth: HCI device and connection manager initialized
[    5.222187] Bluetooth: HCI socket layer initialized
[    5.222189] Bluetooth: L2CAP socket layer initialized
[    5.222192] Bluetooth: SCO socket layer initialized
[    5.240144] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[    5.244941] Bluetooth: hci0: Device revision is 5
[    5.244943] Bluetooth: hci0: Secure boot is enabled
[    5.244943] Bluetooth: hci0: OTP lock is disabled
[    5.244944] Bluetooth: hci0: API lock is disabled
[    5.244944] Bluetooth: hci0: Debug lock is disabled
[    5.244945] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    5.246491] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[    5.446500] Bluetooth: hci0: Failed to send firmware data (-38)
[    6.010995] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    6.010997] Bluetooth: BNEP filters: protocol multicast
[    6.011000] Bluetooth: BNEP socket layer initialized
[   12.711300] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[   12.716047] Bluetooth: hci0: Device revision is 5
[   12.716050] Bluetooth: hci0: Secure boot is enabled
[   12.716051] Bluetooth: hci0: OTP lock is disabled
[   12.716053] Bluetooth: hci0: API lock is disabled
[   12.716055] Bluetooth: hci0: Debug lock is disabled
[   12.716058] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[   12.716758] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[   14.557664] Bluetooth: hci0: Waiting for firmware download to complete
[   14.557964] Bluetooth: hci0: Firmware loaded in 1804265 usecs
[   14.558123] Bluetooth: hci0: Waiting for device to boot
[   14.569004] Bluetooth: hci0: Device booted in 10718 usecs
[   14.570826] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-11-5.ddc
[   14.575027] Bluetooth: hci0: Applying Intel DDC parameters completed
[   23.101497] Bluetooth: RFCOMM TTY layer initialized
[   23.101505] Bluetooth: RFCOMM socket layer initialized
[   23.101609] Bluetooth: RFCOMM ver 1.11

Comment 12 Duncan Innes 2019-06-04 16:36:47 UTC
And on Fedora 30 with kernel 5.1.5

[root@hp ~]# cat /etc/fedora-release 
Fedora release 30 (Thirty)
[root@hp ~]# uname -a
Linux hp.innes.net 5.1.5-300.fc30.x86_64 #1 SMP Sat May 25 18:00:11 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@hp ~]# dmesg | grep -i blue
[    4.950704] Bluetooth: Core ver 2.22
[    4.950722] Bluetooth: HCI device and connection manager initialized
[    4.950725] Bluetooth: HCI socket layer initialized
[    4.950728] Bluetooth: L2CAP socket layer initialized
[    4.950732] Bluetooth: SCO socket layer initialized
[    4.979953] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[    4.983970] Bluetooth: hci0: Device revision is 5
[    4.983972] Bluetooth: hci0: Secure boot is enabled
[    4.983972] Bluetooth: hci0: OTP lock is disabled
[    4.983973] Bluetooth: hci0: API lock is disabled
[    4.983974] Bluetooth: hci0: Debug lock is disabled
[    4.983975] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    4.988394] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[    5.052601] Bluetooth: hci0: Failed to send firmware data (-38)
[    5.975959] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    5.975961] Bluetooth: BNEP filters: protocol multicast
[    5.975964] Bluetooth: BNEP socket layer initialized
[   12.316024] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[   12.321203] Bluetooth: hci0: Device revision is 5
[   12.321206] Bluetooth: hci0: Secure boot is enabled
[   12.321207] Bluetooth: hci0: OTP lock is disabled
[   12.321209] Bluetooth: hci0: API lock is disabled
[   12.321210] Bluetooth: hci0: Debug lock is disabled
[   12.321212] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[   12.321826] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[   14.130114] Bluetooth: hci0: Waiting for firmware download to complete
[   14.131100] Bluetooth: hci0: Firmware loaded in 1773025 usecs
[   14.131192] Bluetooth: hci0: Waiting for device to boot
[   14.142074] Bluetooth: hci0: Device booted in 10662 usecs
[   14.143913] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-11-5.ddc
[   14.148142] Bluetooth: hci0: Applying Intel DDC parameters completed
[   35.308993] Bluetooth: RFCOMM TTY layer initialized
[   35.308996] Bluetooth: RFCOMM socket layer initialized
[   35.309054] Bluetooth: RFCOMM ver 1.11
[root@hp ~]#

Comment 13 Justin M. Forbes 2019-08-20 17:39:07 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 14 Duncan Innes 2019-08-21 08:44:54 UTC
Still a problem with the 5.2.9 kernel on Fedora 30:

[root@hp ~]# cat /etc/fedora-release 
Fedora release 30 (Thirty)
[root@hp ~]# uname -a
Linux hp.innes.net 5.2.9-200.fc30.x86_64 #1 SMP Fri Aug 16 21:37:45 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@hp ~]# dmesg | grep -i blue
[    5.012929] Bluetooth: Core ver 2.22
[    5.012948] Bluetooth: HCI device and connection manager initialized
[    5.012951] Bluetooth: HCI socket layer initialized
[    5.012953] Bluetooth: L2CAP socket layer initialized
[    5.012956] Bluetooth: SCO socket layer initialized
[    5.058556] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[    5.062569] Bluetooth: hci0: Device revision is 5
[    5.062570] Bluetooth: hci0: Secure boot is enabled
[    5.062571] Bluetooth: hci0: OTP lock is disabled
[    5.062571] Bluetooth: hci0: API lock is disabled
[    5.062572] Bluetooth: hci0: Debug lock is disabled
[    5.062573] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    5.064335] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[    5.204045] Bluetooth: hci0: Failed to send firmware data (-38)
[    5.993666] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    5.993668] Bluetooth: BNEP filters: protocol multicast
[    5.993671] Bluetooth: BNEP socket layer initialized
[   12.467663] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[   12.472759] Bluetooth: hci0: Device revision is 5
[   12.472760] Bluetooth: hci0: Secure boot is enabled
[   12.472761] Bluetooth: hci0: OTP lock is disabled
[   12.472761] Bluetooth: hci0: API lock is disabled
[   12.472761] Bluetooth: hci0: Debug lock is disabled
[   12.472762] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[   12.473045] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[   14.301692] Bluetooth: hci0: Waiting for firmware download to complete
[   14.301696] Bluetooth: hci0: Firmware loaded in 1791406 usecs
[   14.301938] Bluetooth: hci0: Waiting for device to boot
[   14.312777] Bluetooth: hci0: Device booted in 10770 usecs
[   14.315839] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-11-5.ddc
[   14.319747] Bluetooth: hci0: Applying Intel DDC parameters completed
[  312.482203] Bluetooth: RFCOMM TTY layer initialized
[  312.482208] Bluetooth: RFCOMM socket layer initialized
[  312.482252] Bluetooth: RFCOMM ver 1.11
[root@hp ~]#

Comment 15 Duncan Innes 2019-08-21 08:51:12 UTC
Have only just noticed that there are 2 attempts to load firmware in this data (I've just been scanning for "Failed to send firmware" previously).

Is this intended/acceptable behaviour that we fail on first attempt, but then try a few seconds later and succeed?

Comment 16 Duncan Innes 2019-08-21 08:52:39 UTC
i.e.

[    5.064335] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[    5.204045] Bluetooth: hci0: Failed to send firmware data (-38)

then

[   12.473045] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[   14.301692] Bluetooth: hci0: Waiting for firmware download to complete
[   14.301696] Bluetooth: hci0: Firmware loaded in 1791406 usecs

Comment 17 Robert Hancock 2019-08-21 17:37:25 UTC
For me, I only get the second successful attempt at loading the firmware if autosuspend is disabled. With it enabled as per default, there is no second attempt at loading, and Bluetooth is left in a non-functional state.

Confirmed that the same problem is still occurring on the 5.2.9-200 kernel.

Comment 18 mrremo 2020-01-20 16:28:29 UTC
Still a problem with the 5.4.10 kernel on Fedora 31:

remo@localhost ~ $ cat /etc/fedora-release 
Fedora release 31 (Thirty One)
remo@localhost ~ $ uname -a
Linux localhost.localdomain 5.4.10-200.fc31.x86_64 #1 SMP Thu Jan 9 19:58:12 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Bluetooth only works if autosuspend is disabled.

Comment 19 Justin M. Forbes 2020-03-03 16:37:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 31 kernel bugs.

Fedora 31 has now been rebased to 5.5.7-200.fc31.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 32, and are still experiencing this issue, please change the version to Fedora 32.

If you experience different issues, please open a new bug report for those.

Comment 20 Justin M. Forbes 2020-03-25 22:30:03 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 21 Duncan Innes 2020-04-28 21:26:45 UTC
Still encountering problem on latest F31 kernel:

[root@hp ~]# cat /etc/fedora-release 
Fedora release 31 (Thirty One)
[root@hp ~]# uname -a
Linux hp.innes.net 5.6.6-200.fc31.x86_64 #1 SMP Tue Apr 21 15:34:22 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
[root@hp ~]# dmesg | grep -i blue
[    5.735256] Bluetooth: Core ver 2.22
[    5.735274] Bluetooth: HCI device and connection manager initialized
[    5.735278] Bluetooth: HCI socket layer initialized
[    5.735279] Bluetooth: L2CAP socket layer initialized
[    5.735283] Bluetooth: SCO socket layer initialized
[    5.820589] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[    5.825596] Bluetooth: hci0: Device revision is 5
[    5.825604] Bluetooth: hci0: Secure boot is enabled
[    5.825605] Bluetooth: hci0: OTP lock is disabled
[    5.825605] Bluetooth: hci0: API lock is disabled
[    5.825606] Bluetooth: hci0: Debug lock is disabled
[    5.825607] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    5.827575] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[    5.956074] Bluetooth: hci0: Failed to send firmware data (-38)
[    5.956091] Bluetooth: hci0: Intel reset sent to retry FW download
[    6.906934] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    6.906935] Bluetooth: BNEP filters: protocol multicast
[    6.906939] Bluetooth: BNEP socket layer initialized
[   13.221638] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[   13.226709] Bluetooth: hci0: Device revision is 5
[   13.226711] Bluetooth: hci0: Secure boot is enabled
[   13.226713] Bluetooth: hci0: OTP lock is disabled
[   13.226715] Bluetooth: hci0: API lock is disabled
[   13.226716] Bluetooth: hci0: Debug lock is disabled
[   13.226719] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[   13.227509] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[   14.774439] Bluetooth: hci0: Waiting for firmware download to complete
[   14.774590] Bluetooth: hci0: Firmware loaded in 1517742 usecs
[   14.774619] Bluetooth: hci0: Waiting for device to boot
[   14.785614] Bluetooth: hci0: Device booted in 10744 usecs
[   14.786000] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-11-5.ddc
[   14.789639] Bluetooth: hci0: Applying Intel DDC parameters completed
[   14.791616] Bluetooth: hci0: Firmware revision 0.0 build 10 week 41 2018
[   34.773980] Bluetooth: RFCOMM TTY layer initialized
[   34.773987] Bluetooth: RFCOMM socket layer initialized
[   34.774056] Bluetooth: RFCOMM ver 1.11
[root@hp ~]#

Comment 22 Duncan Innes 2020-04-28 22:59:06 UTC
Actually - I might have to recant my last post.  I tore down my laptop tonight and found that the single aerial plugged into the card was plugged into the WIFI-only connector.  I thought I had plugged it into the WIFI+Bluetooth connector.  After swapping the aerial over, I have full BT connectivity, and am now hunting down a second aerial to fit to the laptop.  Having said that, the wifi strength is still pretty good, but more is better right?

D

Comment 23 Robert Hancock 2020-05-28 04:04:41 UTC
Confirmed that this is still occurring in Fedora 32 with kernel 5.6.14-300.fc32.x86_64. Without btusb.enable_autosuspend=n on the kernel command line, Bluetooth fails with this output on boot:

[   25.575263] Bluetooth: Core ver 2.22
[   25.575307] Bluetooth: HCI device and connection manager initialized
[   25.575312] Bluetooth: HCI socket layer initialized
[   25.575317] Bluetooth: L2CAP socket layer initialized
[   25.575323] Bluetooth: SCO socket layer initialized
[   25.723712] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
[   25.731801] Bluetooth: hci0: Device revision is 5
[   25.731803] Bluetooth: hci0: Secure boot is enabled
[   25.731804] Bluetooth: hci0: OTP lock is enabled
[   25.731805] Bluetooth: hci0: API lock is enabled
[   25.731806] Bluetooth: hci0: Debug lock is disabled
[   25.731808] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[   25.734471] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
[   26.255714] Bluetooth: hci0: Failed to send firmware data (-38)
[   26.256084] Bluetooth: hci0: Intel reset sent to retry FW download
[   30.411789] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   30.411791] Bluetooth: BNEP filters: protocol multicast
[   30.411797] Bluetooth: BNEP socket layer initialized

Comment 24 Sandip Nath Tiwari 2020-08-05 09:15:43 UTC
I can confirm that this is still an issue on Fedora 32 with kernel 5.7.11-200.fc32.x86_64. The same fix as stated in previous comments applies i.e. appending btusb.enable_autosuspend=n on the kernel commandline. With this fix, the dmesg output looks like this:

$ dmesg | grep Blue
[    4.639082] Bluetooth: Core ver 2.22
[    4.639121] Bluetooth: HCI device and connection manager initialized
[    4.639126] Bluetooth: HCI socket layer initialized
[    4.639128] Bluetooth: L2CAP socket layer initialized
[    4.639133] Bluetooth: SCO socket layer initialized
[    4.837501] Bluetooth: hci0: Reading Intel version information failed (-19)
[    4.837503] Bluetooth: hci0: Intel Read version failed (-19)
[    6.782869] Bluetooth: hci0: command 0xfc05 tx timeout
[    6.782996] Bluetooth: hci0: Intel reset sent to retry FW download
[    7.290242] Bluetooth: hci0: Bootloader revision 0.0 build 26 week 38 2015
[    7.291318] Bluetooth: hci0: Device revision is 16
[    7.291337] Bluetooth: hci0: Secure boot is enabled
[    7.291338] Bluetooth: hci0: OTP lock is enabled
[    7.291340] Bluetooth: hci0: API lock is enabled
[    7.291342] Bluetooth: hci0: Debug lock is disabled
[    7.291344] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[    7.295521] Bluetooth: hci0: Found device firmware: intel/ibt-12-16.sfi
[    9.091392] Bluetooth: hci0: Waiting for firmware download to complete
[    9.092195] Bluetooth: hci0: Firmware loaded in 1760817 usecs
[    9.092278] Bluetooth: hci0: Waiting for device to boot
[    9.104442] Bluetooth: hci0: Device booted in 11915 usecs
[    9.138649] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-12-16.ddc
[    9.141216] Bluetooth: hci0: Applying Intel DDC parameters completed
[    9.143247] Bluetooth: hci0: Firmware revision 0.1 build 50 week 12 2019
[   10.251060] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   10.251062] Bluetooth: BNEP filters: protocol multicast
[   10.251066] Bluetooth: BNEP socket layer initialized
[   19.402853] Bluetooth: RFCOMM TTY layer initialized
[   19.402860] Bluetooth: RFCOMM socket layer initialized
[   19.402924] Bluetooth: RFCOMM ver 1.11

$ uname -a
Linux asusux331ual 5.7.11-200.fc32.x86_64 #1 SMP Wed Jul 29 17:15:52 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

$ lsusb
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 8087:0a2b Intel Corp. Bluetooth wireless interface
Bus 001 Device 003: ID 13d3:5a09 IMC Networks USB2.0 VGA UVC WebCam
Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

I would like to add, that the problem started for me after a recent firmware update.
However, a Live USB with Fedora Workstation 32 worked for me.
But on my installed system, no amount of rollbacks (with cold boots) would fix the issue.
modprobe -r btusb && sleep 10 && modprobe btusb   failed as well, with the same error.
Adding btusb.enable_autosuspend=n to the kernel commandline worked.

Comment 25 Sandip Nath Tiwari 2020-08-11 16:07:58 UTC
I would like to update that btusb.enable_autosuspend=n did not work for me on kernel 5.7.*
The system still failed to load firmware in 3/4 cold boots.
Reverting back to kernel 5.6.6-300.fc32.x86_64 (with btusb.enable_autosuspend=n) leads to successful firmware loads every time (15+ cold boots till now)
Please let me know if you need logs etc. from me.

Comment 26 Fedora Program Management 2021-04-29 16:50:07 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.